/*
 * This source file is part of the bstring string library.  This code was
 * written by Paul Hsieh in 2002-2003, and is covered by the BSD open source 
 * license. Refer to the accompanying documentation for details on usage and 
 * license.
 */

/*
 * bstraux.h
 *
 * This file is not necessarily part of the core bstring library itself, but
 * is just an auxilliary module which includes miscellaneous or trivial 
 * functions.
 */

#ifndef BSTRAUX_INCLUDE
#define BSTRAUX_INCLUDE

#include "bstrlib.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int bUppercase (bstring b);
extern int bLowercase (bstring b);
extern int bCaselessCmp (const bstring b0, const bstring b1);
extern int bTrunc (bstring b, int n);
extern bstring bTail (bstring b, int n);
extern bstring bHead (bstring b, int n);
extern int bAssign (bstring a, const bstring b);
extern int bFill (bstring a, char c, int len);
extern int bSubs (bstring b, int pos, int len, const bstring a, char c);
extern int bReplicate (bstring b, int n);
extern int bReverse (bstring b);
extern int bStrchr (bstring b, int c);

#ifdef __cplusplus
}
#endif

#endif
